## sg3-utils 1.31

=== debian/changelog ===
sg3-utils (1.31-1) unstable; urgency=low

  * New Upstream Release 
  * [0d9bfc1] update symbols file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 17 Mar 2011 19:46:32 +0530

=== debian/control ===
Source: sg3-utils
Section: admin
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
Standards-Version: 3.9.1
Homepage: http://sg.danny.cz/sg/
Vcs-Git: git://git.debian.org/collab-maint/sg3-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sg3-utils.git

Package: sg3-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: sg-utils, cdwrite
Replaces: sg-utils
Description: utilities for devices using the SCSI command set
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file.

Package: libsgutils2-2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Conflicts: libsgutils2
Replaces: libsgutils2
Suggests: sg3-utils
Description: utilities for devices using the SCSI command set (shared libraries)
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file
 .
 Shared library used by the utilities in the sg3-utils package.

Package: libsgutils2-dev
Section: libdevel
Architecture: any
Depends: libsgutils2-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
Conflicts: libsgutils1-dev
Suggests: sg3-utils
Description: utilities for devices using the SCSI command set (developer files)
 Most OSes have SCSI pass-through interfaces that enable user space programs
 to send SCSI commands to a device and fetch the response. With SCSI to ATA
 Translation (SAT) many ATA disks now can process SCSI commands. Typically
 each utility in this package implements one SCSI command. See the draft
 standards at www.t10.org for SCSI command definitions plus SAT. ATA
 commands are defined in the draft standards at www.t13.org . For a mapping
 between supported SCSI and ATA commands and utility names in this package
 see the COVERAGE file.
 .
 Developer files (i.e. headers and a static library) which are associated with
 the utilities in the sg3-utils package.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the sg3-utils package

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')


get-orig-source:
	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --bindir=/usr/bin --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	PREFIX=/usr MANDIR=/usr/share/man $(MAKE) -e

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f build-stamp configure-stamp debian/substvars

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -e install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr

	dh_install --autodest --sourcedir=debian/tmp
	cp scripts/scsi* debian/sg3-utils/usr/bin

	dh_installman

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
# nothing to do here

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress -X archive -X .c -X .h
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	echo kfreebsd:Depends=libcam-dev >>debian/libsgutils2-dev.substvars
endif
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## sg3-utils 1.32

=== debian/changelog ===
sg3-utils (1.32-1) unstable; urgency=low

  * [06cef8d] Use kfreebsd-any as the build-dep.
    Thanks to Robert Millan (Closes: 634362)
  * [850586d] separate build-arch and build-indep targets
  * [a432747] Drop duplicate changelog
  * [ec2bbd8] Update Standards Version to 3.9.2. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 09 Aug 2011 16:36:28 +0530

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,11 @@
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --bindir=/usr/bin --prefix=/usr --mandir=\$${prefix}/share/man
 	touch configure-stamp
 
-build: configure-stamp build-stamp
+build: build-arch build-indep
+
+build-arch: configure-stamp build-stamp
+build-indep: configure-stamp build-stamp
+
 build-stamp:
 	dh_testdir

## sg3-utils 1.33

=== debian/changelog ===
sg3-utils (1.33-1) unstable; urgency=low

  * [d05522e] Fix installation path.
    Thanks to Chow Loong Jin (Closes: #657404)
  * [22587cc] Imported Upstream version 1.33

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 26 Jan 2012 23:40:42 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-i386 kfreebsd-amd64]
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-any]
+Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
 Vcs-Git: git://git.debian.org/collab-maint/sg3-utils.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sg3-utils.git

=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,9 @@
 
 	# Add here commands to install the package into debian/tmp
 	$(MAKE) -e install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr
+	cp scripts/scsi* debian/tmp/usr/bin
 
 	dh_install --autodest --sourcedir=debian/tmp
-	cp scripts/scsi* debian/sg3-utils/usr/bin
 
 	dh_installman

## sg3-utils 1.36

=== debian/changelog ===
sg3-utils (1.36-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update libtool macros for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Dec 2013 15:11:42 +0000

sg3-utils (1.36-1) unstable; urgency=low

  * [69e9dac] Imported Upstream version 1.36
  * [cb75936] Add debian compat, level 7
  * [68fed25] update README.source
  * [3c724fc] Add build-dep autotools-dev
  * [e4b9fdd] add destdir to install path
  * [7cfff11] Simplify build with debhelper
  * [f9a7540] Update symbols for 1.36 release
  * [7b0b48d] Enable hardening build

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 23 Jun 2013 16:08:01 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sg3-utils
 Section: admin
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 7), libtool, libcam-dev [kfreebsd-any]
+Build-Depends: debhelper (>= 7.0.50~), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
-Vcs-Git: git://git.debian.org/collab-maint/sg3-utils.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sg3-utils.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sg3-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sg3-utils.git
 
 Package: sg3-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the sg3-utils package

# This has to be exported to make some magic below work.
export DH_OPTIONS


# For Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.

%:
	dh "$@" --with autoreconf

.PHONY: get-orig-source

## sg3-utils 1.39

=== examples/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/man

CC = gcc
LD = gcc

EXECS = sg_simple1 sg_simple2 sg_simple3 sg_simple4 sg_simple16 \
	sg_iovec_tst scsi_inquiry sg_excl sg_sense_test sg_simple5 \
	sg__sat_identify sg__sat_phy_event sg__sat_set_features \
	sg_sat_chk_power sg_sat_smart_rd_data

EXTRAS = sg_simple_aio sg_queue_tst sgq_dd

BSG_EXTRAS = bsg_queue_tst


MAN_PGS = 
MAN_PREF = man8

LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

CFLAGS = -g -O2 -W -Wall -I../include -D_REENTRANT $(LARGE_FILE_FLAGS)
# CFLAGS = -g -O2 -Wall -I../include -D_REENTRANT -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
# CFLAGS = -g -O2 -Wall -pedantic -I../include -D_REENTRANT $(LARGE_FILE_FLAGS)

LDFLAGS =

LIBFILESOLD = ../lib/sg_lib.o ../lib/sg_lib_data.o ../lib/sg_io_linux.o
LIBFILESNEW = ../lib/sg_lib.o ../lib/sg_lib_data.o ../lib/sg_pt_linux.o

all: $(EXECS)

extras: $(EXTRAS)

bsg: $(BSG_EXTRAS)


depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) $(EXTRAS) $(BSG_EXTRAS) core .depend

sg_simple1: sg_simple1.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple2: sg_simple2.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple3: sg_simple3.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple4: sg_simple4.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple16: sg_simple16.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

# sg_simple_aio: sg_simple_aio.o $(LIBFILESOLD)
# 	$(LD) -o $@ $(LDFLAGS) $^ -l aio

sg_simple_aio: sg_simple_aio.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_iovec_tst: sg_iovec_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

scsi_inquiry: scsi_inquiry.o
	$(LD) -o $@ $(LDFLAGS) $^ 

sg_excl: sg_excl.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_sense_test: sg_sense_test.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_simple5: sg_simple5.o $(LIBFILESNEW)
	$(LD) -o $@ $(LDFLAGS) $^

sg__sat_identify: sg__sat_identify.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg__sat_phy_event: sg__sat_phy_event.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg__sat_set_features: sg__sat_set_features.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_sat_chk_power: sg_sat_chk_power.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_sat_smart_rd_data: sg_sat_smart_rd_data.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_queue_tst: sg_queue_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

bsg_queue_tst: bsg_queue_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

sgq_dd: sgq_dd.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
sg3-utils (1.39-1) unstable; urgency=medium

  * [a3a22b2] Imported Upstream version 1.39
  * [c1a14cb] Update symbols list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 29 Sep 2014 13:25:14 +0530

sg3-utils (1.38-2) unstable; urgency=medium

  * [c9b57d9] Ship the rescan-scsi-bus.sh script (Closes: #758926)
    Note: The scsitools package also ships a rescan-scsi-bus script.
    To make the files not overwrite, rescan-scsi-bus.sh script is
    shipped into /usr/bin/

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Aug 2014 15:32:26 +0530

sg3-utils (1.38-1) unstable; urgency=medium

  * [d956539] Use dh-autoreconf for build.
    Thanks to Colin Watson (Closes: #732541)
  * [2fc0300] Imported Upstream version 1.38

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 03 Apr 2014 12:07:32 +0530

## sg3-utils 1.40

=== examples/Makefile ===
--- 
+++ 
@@ -22,9 +22,9 @@
 
 LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
 
-CFLAGS = -g -O2 -W -Wall -I../include -D_REENTRANT $(LARGE_FILE_FLAGS)
-# CFLAGS = -g -O2 -Wall -I../include -D_REENTRANT -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
-# CFLAGS = -g -O2 -Wall -pedantic -I../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+CFLAGS = -g -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+# CFLAGS = -g -O2 -Wall -iquote ../include -D_REENTRANT -DSG_KERNEL_INCLUDES $(LARGE_FILE_FLAGS)
+# CFLAGS = -g -O2 -Wall -pedantic -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
 
 LDFLAGS =

=== debian/changelog ===
sg3-utils (1.40-0ubuntu1) wily; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package):  provide the udev rules for SCSI-ID
    mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq' to
      initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Mathieu Trudel-Lapierre ]
  * Pick packaging for 1.4.0 from Debian git collab-maint.
  * Also build a new sg3-udeb package for use by d-i.
  * debian/control, debian/compat: bump to debhelper/compat 9.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 26 Jun 2015 16:28:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 7.0.50~), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
 Vcs-Git: git://anonscm.debian.org/collab-maint/sg3-utils.git
@@ -63,3 +63,25 @@
  Developer files (i.e. headers and a static library) which are associated with
  the utilities in the sg3-utils package.
 
+Package: sg3-utils-udev
+Architecture: all
+Depends: sg3-utils, initramfs-tools, ${misc:Depends}
+Description: utilities for devices using the SCSI command set (udev rules)
+ Most OSes have SCSI pass-through interfaces that enable user space programs
+ to send SCSI commands to a device and fetch the response. With SCSI to ATA
+ Translation (SAT) many ATA disks now can process SCSI commands. Typically
+ each utility in this package implements one SCSI command. See the draft
+ standards at www.t10.org for SCSI command definitions plus SAT. ATA
+ commands are defined in the draft standards at www.t13.org . For a mapping
+ between supported SCSI and ATA commands and utility names in this package
+ see the COVERAGE file.
+ .
+ udev rules which are associated with the utilities in the sg3-utils package.
+
+Package: sg3-udeb
+Architecture: any
+Package-Type: udeb
+Section: debian-installer
+Depends: ${misc:Depends}
+Description: utilities for devices using the SCSI command set
+

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,35 @@
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 
+INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
+
 get-orig-source:
 	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.
 
 %:
 	dh "$@" --with autoreconf
 
+override_dh_install:
+	find $(CURDIR)/debian/tmp -name "*.la" -delete
+	dh_install --list-missing
+
+	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-utils-udev.scsi-sg3_id.udev
+	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev
+	[ ! -f scripts/58-scsi-sg3_symlink.rules ] || cp scripts/58-scsi-sg3_symlink.rules debian/sg3-utils-udev.scsi-sg3_symlink.udev
+
+	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id 
+	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink 
+	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id 
+
+	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/sg3-utils
+
+override_dh_clean:
+	dh_testdir
+
+	rm -f debian/sg3-utils-udev.scsi-sg3_id.udev
+	rm -f debian/sg3-utils-udev.scsi-sg3_symlink.udev
+	rm -f debian/sg3-udeb.scsi-sg3_id.udev
+
+	dh_clean
+
 .PHONY: get-orig-source

## sg3-utils 1.42

=== debian/changelog ===
sg3-utils (1.42-2ubuntu1) yakkety; urgency=medium

  * debian/control, debian/rules: build a sg3-udeb installer package again.
  * debian/sg3-udeb.install: install the right binaries for sg3-udeb.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 06 Jul 2016 09:19:44 -0400

sg3-utils (1.42-2) unstable; urgency=medium

  * [a3ba3f8] Don't hardcode architecture in install files
  * Also close below bug. Its udev rule error is fixed in 1.42
    (Closes: #799680)
  * [1602649] Add debian/gbp.conf to explicitly enable pristine-tar
    for this package's packaging

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 21:59:58 +0530

sg3-utils (1.42-1) unstable; urgency=medium

  * [5e8831f] Imported Upstream version 1.42
  * [207bf28] Update symbol list for 1.42
  * [5bb50a3] Bump debhelper to 9
  * [3ef31a6] Fix Vcs URLs
  * [ed19382] Update install list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 16:03:46 +0530

sg3-utils (1.41-1) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package):  provide the udev rules for
    SCSI-ID mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq'
      to initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Ritesh Raj Sarraf ]
  * [7c346df] Add misc:Depends to dependency
  * [b719c1a] Clean up README.source
  * [e799461] Remove stale debian/ folder in upstream branch
  * [92db371] Imported Upstream version 1.41
  * [dadce5a] Recover debian/ files from improper gbp import
    --filter=debian
  * [e7aa4ba] Refresh patch debian/patches/ship-rescan-script.sh
  * [33af743] Update symbols introduced in 1.41

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Jul 2015 18:48:43 +0530

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
-Vcs-Git: git://anonscm.debian.org/collab-maint/sg3-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sg3-utils.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sg3-utils.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sg3-utils.git
 
 Package: sg3-utils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	dh "$@" --with autoreconf
 
 override_dh_install:
-	find $(CURDIR)/debian/tmp -name "*.la" -delete
-	dh_install --list-missing
+	dh_testdir
+	dh_install
 
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-utils-udev.scsi-sg3_id.udev
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev

## sg3-utils 1.44

=== debian/changelog ===
sg3-utils (1.44-1ubuntu2) focal; urgency=medium

  * Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
    udev. (LP: #1859858)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Feb 2020 11:00:07 +1300

sg3-utils (1.44-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - d/p/ftbfs-sysmacro-include.patch: include correct header for the
      major()/minor() macro definitions. (LP: #1823436)
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 18 Jun 2019 14:51:10 +0000

sg3-utils (1.44-1) unstable; urgency=medium

  * New upstream version 1.44
  * Drop patch ship-rescan-script.sh. Merged upstream.
  * Update new symbol list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 13 Sep 2018 11:03:26 +0545

sg3-utils (1.42-3) unstable; urgency=medium

  * Fix path for udevadm, which now resides in /bin.
    Thanks to Michael Biebl (Closes: #852585)
  * Switch packaging to Salsa

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 10 Sep 2018 10:02:04 +0545

sg3-utils (1.42-2ubuntu2) eoan; urgency=medium

  * d/p/ftbfs-sysmacro-include.patch: include correct header for the
    major() macro definition. (LP: #1823436)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 23 Apr 2019 18:07:53 -0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.2
 Homepage: http://sg.danny.cz/sg/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sg3-utils.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sg3-utils.git
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
 
 Package: sg3-utils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,9 @@
 # Uncomment this to turn on verbose mode. 
 # export DH_VERBOSE=1
 
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
 INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
-
-get-orig-source:
-	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.
 
 %:
 	dh "$@" --with autoreconf

## sg3-utils 1.45

=== testing/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/man

EXECS = sg_iovec_tst sg_sense_test sg_queue_tst bsg_queue_tst sg_chk_asc \
	sg_tst_nvme sg_tst_ioctl sg_tst_bidi tst_sg_lib sgs_dd sg_tst_excl \
	sg_tst_excl2 sg_tst_excl3 sg_tst_context sg_tst_async sgh_dd
	
EXTRAS =

BSG_EXTRAS =


MAN_PGS = 
MAN_PREF = man8

LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

# For C++/clang testing
## CC = gcc
## CXX = g++
## CC = clang
## CXX = clang++

LD = $(CXX)
CXXLD = $(CXX)

CPPFLAGS = -iquote ../include -iquote .. -D_REENTRANT $(LARGE_FILE_FLAGS) -DHAVE_CONFIG_H -DHAVE_NVME
CXXFLAGS = -std=c++17 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
# CPPFLAGS = -iquote ../include -iquote .. -D_REENTRANT $(LARGE_FILE_FLAGS) -DHAVE_CONFIG_H -DHAVE_NVME -DDEBUG
# CFLAGS = -g -O2 -W -Wall 
CFLAGS = -ggdb -O2 -W -Wall -DDEBUG
# CFLAGS = -g -O2 -Wall -DSG_KERNEL_INCLUDES
# CFLAGS = -g -O2 -Wall -pedantic 
# CFLAGS = -Wall -W -pedantic -std=c11 --analyze
# CFLAGS = -Wall -W -pedantic -std=c++14 -fPIC

LDFLAGS =

LIBFILESOLD = ../lib/sg_lib.o ../lib/sg_lib_data.o ../lib/sg_io_linux.o
LIBFILESNEW = ../lib/sg_pt_linux_nvme.o ../lib/sg_lib.o ../lib/sg_lib_data.o \
		../lib/sg_pt_linux.o ../lib/sg_io_linux.o \
		../lib/sg_pt_common.o  ../lib/sg_cmds_basic.o \
		../lib/sg_cmds_basic2.o

all: $(EXECS)

extras: $(EXTRAS)

bsg: $(BSG_EXTRAS)


depend dep:
	for i in *.c; do $(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) $(EXTRAS) $(BSG_EXTRAS) core .depend

sg_iovec_tst: sg_iovec_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_sense_test: sg_sense_test.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^

sg_queue_tst: sg_queue_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

bsg_queue_tst: bsg_queue_tst.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

sg_tst_ioctl: sg_tst_ioctl.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

# building sg_chk_asc depends on a prior successful make in ../lib
sg_chk_asc: sg_chk_asc.o ../lib/sg_lib.o ../lib/sg_lib_data.o
	$(LD) -o $@ $(LDFLAGS) $^

sg_tst_nvme: sg_tst_nvme.o $(LIBFILESNEW)
	$(LD) -o $@ $(LDFLAGS) $^ 

tst_sg_lib: tst_sg_lib.o ../lib/sg_lib.o ../lib/sg_lib_data.o
	$(LD) -o $@ $(LDFLAGS) $^

sgs_dd: sgs_dd.o $(LIBFILESOLD)
	$(LD) -o $@ $(LDFLAGS) $^ 

sg_tst_bidi: sg_tst_bidi.o $(LIBFILESNEW)
	$(LD) -o $@ $(LDFLAGS) $^ 

sg_tst_excl: sg_tst_excl.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^

sg_tst_excl2: sg_tst_excl2.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^

sg_tst_excl3: sg_tst_excl3.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^

sg_tst_context: sg_tst_context.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^

sg_tst_async: sg_tst_async.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^

sgh_dd: sgh_dd.o $(LIBFILESNEW)
	$(CXXLD) -o $@ $(LDFLAGS) -pthread -latomic $^


install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

# Linux uses GNU make and FreeBSD uses Berkely make. The following lines
# only work in Linux. Possible solutions in FreeBSD:
#    a) use 'gmake'; b) comment out the next 3 lines, starting with 'ifeq'
#        c) build with 'make -f Makefile.freebsd'
# In Linux one can install bmake (but that won't help here).
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
sg3-utils (1.45-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:13 +0100

sg3-utils (1.45-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1879761). Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
      udev. (LP: #1859858)
    [Fixed Upstream]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 21 May 2020 03:34:16 +0000

sg3-utils (1.45-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Use canonical URL in Vcs-Browser.

  [ Ritesh Raj Sarraf ]
  * Add filter for the debian folder
  * New upstream version 1.45
  * Drop quilt based patch fix-udevadm-path.patch
  * Add patch to fix path for udevadm
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 10 Apr 2020 20:52:49 +0530

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -18,7 +18,7 @@
 INITRAMFS=$(CURDIR)/debian/sg3-utils-udev/usr/share/initramfs-tools/
 
 %:
-	dh "$@" --with autoreconf
+	dh "$@"
 
 override_dh_install:
 	dh_testdir
@@ -28,9 +28,9 @@
 	[ ! -f scripts/55-scsi-sg3_id.rules ] || cp scripts/55-scsi-sg3_id.rules debian/sg3-udeb.scsi-sg3_id.udev
 	[ ! -f scripts/58-scsi-sg3_symlink.rules ] || cp scripts/58-scsi-sg3_symlink.rules debian/sg3-utils-udev.scsi-sg3_symlink.udev
 
-	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id 
-	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink 
-	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id 
+	dh_installudev -psg3-utils-udev --priority=55 --name=scsi-sg3_id
+	dh_installudev -psg3-utils-udev --priority=58 --name=scsi-sg3_symlink
+	dh_installudev -psg3-udeb --priority=55 --name=scsi-sg3_id
 
 	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/sg3-utils

## sg3-utils 1.46

=== testing/Makefile ===
--- 
+++ 
@@ -4,16 +4,17 @@
 INSTDIR=$(DESTDIR)/$(PREFIX)/bin
 MANDIR=$(DESTDIR)/$(PREFIX)/man
 
-EXECS = sg_iovec_tst sg_sense_test sg_queue_tst bsg_queue_tst sg_chk_asc \
-	sg_tst_nvme sg_tst_ioctl sg_tst_bidi tst_sg_lib sgs_dd sg_tst_excl \
-	sg_tst_excl2 sg_tst_excl3 sg_tst_context sg_tst_async sgh_dd
+EXECS = sg_sense_test sg_queue_tst bsg_queue_tst sg_chk_asc sg_tst_nvme \
+	sg_tst_ioctl sg_tst_bidi tst_sg_lib sgs_dd sg_tst_excl \
+	sg_tst_excl2 sg_tst_excl3 sg_tst_context sg_tst_async sgh_dd \
+	sg_mrq_dd sg_iovec_tst
 	
 EXTRAS =
 
 BSG_EXTRAS =
 
 
-MAN_PGS = 
+MAN_PGS =
 MAN_PREF = man8
 
 LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
@@ -28,14 +29,19 @@
 CXXLD = $(CXX)
 
 CPPFLAGS = -iquote ../include -iquote .. -D_REENTRANT $(LARGE_FILE_FLAGS) -DHAVE_CONFIG_H -DHAVE_NVME
-CXXFLAGS = -std=c++17 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+CXXFLAGS = -std=c++11 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+## CXXFLAGS = -std=c++14 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+## CXXFLAGS = -std=c++17 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+## CXXFLAGS = -std=c++20 -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
+# CXXFLAGS = -std=c++2a -pthread -ggdb -O2 -W -Wall -iquote ../include -D_REENTRANT $(LARGE_FILE_FLAGS)
 # CPPFLAGS = -iquote ../include -iquote .. -D_REENTRANT $(LARGE_FILE_FLAGS) -DHAVE_CONFIG_H -DHAVE_NVME -DDEBUG
-# CFLAGS = -g -O2 -W -Wall 
-CFLAGS = -ggdb -O2 -W -Wall -DDEBUG
+CFLAGS = -g -O2 -W -Wall
+# CFLAGS = -ggdb -O2 -W -Wall -DDEBUG
 # CFLAGS = -g -O2 -Wall -DSG_KERNEL_INCLUDES
-# CFLAGS = -g -O2 -Wall -pedantic 
+# CFLAGS = -g -O2 -Wall -pedantic
 # CFLAGS = -Wall -W -pedantic -std=c11 --analyze
 # CFLAGS = -Wall -W -pedantic -std=c++14 -fPIC
+# CFLAGS = -Wall -W -pedantic -std=c++20
 
 LDFLAGS =
 
@@ -59,36 +65,33 @@
 clean:
 	/bin/rm -f *.o $(EXECS) $(EXTRAS) $(BSG_EXTRAS) core .depend
 
-sg_iovec_tst: sg_iovec_tst.o $(LIBFILESOLD)
-	$(LD) -o $@ $(LDFLAGS) $^
-
 sg_sense_test: sg_sense_test.o $(LIBFILESOLD)
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_queue_tst: sg_queue_tst.o $(LIBFILESOLD)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 bsg_queue_tst: bsg_queue_tst.o $(LIBFILESOLD)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_tst_ioctl: sg_tst_ioctl.o $(LIBFILESOLD)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 # building sg_chk_asc depends on a prior successful make in ../lib
 sg_chk_asc: sg_chk_asc.o ../lib/sg_lib.o ../lib/sg_lib_data.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_tst_nvme: sg_tst_nvme.o $(LIBFILESNEW)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 tst_sg_lib: tst_sg_lib.o ../lib/sg_lib.o ../lib/sg_lib_data.o
 	$(LD) -o $@ $(LDFLAGS) $^
 
 sgs_dd: sgs_dd.o $(LIBFILESOLD)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_tst_bidi: sg_tst_bidi.o $(LIBFILESNEW)
-	$(LD) -o $@ $(LDFLAGS) $^ 
+	$(LD) -o $@ $(LDFLAGS) $^
 
 sg_tst_excl: sg_tst_excl.o $(LIBFILESNEW)
 	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^
@@ -106,6 +109,12 @@
 	$(CXXLD) -o $@ $(LDFLAGS) -pthread $^
 
 sgh_dd: sgh_dd.o $(LIBFILESNEW)
+	$(CXXLD) -o $@ $(LDFLAGS) -pthread -latomic $^
+
+sg_mrq_dd: sg_mrq_dd.o sg_scat_gath.o $(LIBFILESNEW)
+	$(CXXLD) -o $@ $(LDFLAGS) -pthread -latomic $^
+
+sg_iovec_tst: sg_iovec_tst.o sg_scat_gath.o $(LIBFILESNEW)
 	$(CXXLD) -o $@ $(LDFLAGS) -pthread -latomic $^

=== debian/changelog ===
sg3-utils (1.46-3ubuntu4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:15 +0200

sg3-utils (1.46-3ubuntu3) noble; urgency=medium

  * d/control: fix version in libsgutils2-1.46-2 breaks/replaces to
    avoid file conflict when ugprading from jammy and lunar
    (LP: #2039279)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 25 Oct 2023 09:49:58 -0300

sg3-utils (1.46-3ubuntu2) mantic; urgency=medium

  * d/p/0002-Fix-crash-with-rescan-scsi-bus.sh-r.patch: do not allow
    rescan-scsi-bus.sh to remove device (LP: #1976228).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 05 Sep 2023 18:22:04 -0300

sg3-utils (1.46-3ubuntu1) mantic; urgency=medium

  * Break/Replace 1.46-1build1 instead of 1.46-1, as this is the relevant
    version present in Ubuntu.  This change can be dropped after 24.04
    release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 May 2023 12:09:00 +0000

sg3-utils (1.46-3) unstable; urgency=medium

  * Upload to unstable
  * Switch to Breaks instead of Conflicts for library package

 -- Jonathan McDowell <noodles@earth.li>  Thu, 02 Mar 2023 18:58:32 +0000

sg3-utils (1.46-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Jonathan McDowell ]
  * Rename libsgutils2-2 package to include package version (Closes: #994758)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 01 Mar 2023 09:24:47 +0000

sg3-utils (1.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libsgutils2-2: Add Multi-Arch: same.
    + libsgutils2-dev: Add Multi-Arch: same.

  [ Ritesh Raj Sarraf ]
  * New upstream version 1.46
  * Bump debhelper compatibility to 13
  * Update symbol list to version 1.46
  * Update Standards Version to 4.5.1
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 17 Aug 2021 21:45:28 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 9), libtool, libcam-dev [kfreebsd-any], dh-autoreconf, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
-Homepage: http://sg.danny.cz/sg/
+Build-Depends: debhelper-compat (= 13), libtool, libcam-dev [kfreebsd-any], dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.5.1
+Homepage: https://sg.danny.cz/sg/
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils
 
 Package: sg3-utils
 Architecture: any
@@ -25,13 +25,14 @@
  between supported SCSI and ATA commands and utility names in this package
  see the COVERAGE file.
 
-Package: libsgutils2-2
+Package: libsgutils2-1.46-2
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Conflicts: libsgutils2
-Replaces: libsgutils2
+Breaks: libsgutils2-2 (<< 1.46-3ubuntu2)
+Replaces: libsgutils2-2 (<< 1.46-3ubuntu2)
 Suggests: sg3-utils
+Multi-Arch: same
 Description: utilities for devices using the SCSI command set (shared libraries)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -47,9 +48,10 @@
 Package: libsgutils2-dev
 Section: libdevel
 Architecture: any
-Depends: libsgutils2-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
+Depends: libsgutils2-1.46-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
 Conflicts: libsgutils1-dev
 Suggests: sg3-utils
+Multi-Arch: same
 Description: utilities for devices using the SCSI command set (developer files)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -65,7 +67,7 @@
 
 Package: sg3-utils-udev
 Architecture: all
-Depends: sg3-utils, initramfs-tools, ${misc:Depends}
+Depends: sg3-utils, initramfs-tools-core, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
 Description: utilities for devices using the SCSI command set (udev rules)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA
@@ -77,11 +79,3 @@
  see the COVERAGE file.
  .
  udev rules which are associated with the utilities in the sg3-utils package.
-
-Package: sg3-udeb
-Architecture: any
-Package-Type: udeb
-Section: debian-installer
-Depends: ${misc:Depends}
-Description: utilities for devices using the SCSI command set
-

## sg3-utils 1.48

=== utils/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

CC = gcc
LD = gcc

EXECS = hxascdmp
EXTRA_EXECS = hxascdmp

MAN_PGS = hxascdmp.1
MAN_PREF = man1

CFLAGS = -g -O2 -W -Wall -iquote ../include
# CFLAGS = -g -O2 -W -iquote ../include -pedantic -std=c99

LDFLAGS =

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXTRA_EXECS) core .depend

hxascdmp: hxascdmp.o
	$(LD) -o $@ $(LDFLAGS) $^


install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
sg3-utils (1.48-2) unstable; urgency=medium

  [ Bryce Harrington / Christian Ehrhardt ]
  * Add DEP8 packaging/integration tests (LP: #1679392)

  [ Christian Ehrhardt ]
  * Add lintian override to tolerate script-with-language-extension for
    rescan-scsi-bus.sh
  * Only install applicable readme files

  [ Jonathan McDowell ]
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Jan 2025 09:43:59 +0000

sg3-utils (1.48-1) experimental; urgency=medium

  [ Laszlo Gombos ]
  * Remove explicit initramfs-tools-core dependency (Closes: #994492)

  [ Jonathan McDowell ]
  * New upstream release
  * Refresh rescan-scsi-bus.sh udevadm path patch
  * Update library symbols

 -- Jonathan McDowell <noodles@earth.li>  Tue, 24 Dec 2024 11:22:37 +0000

sg3-utils (1.46-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: sg3-utils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 13), libtool, libcam-dev [kfreebsd-any], dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://sg.danny.cz/sg/
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/sg3-utils.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/sg3-utils
@@ -25,12 +24,10 @@
  between supported SCSI and ATA commands and utility names in this package
  see the COVERAGE file.
 
-Package: libsgutils2-1.46-2
+Package: libsgutils2-1.48
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Breaks: libsgutils2-2 (<< 1.46-3ubuntu2)
-Replaces: libsgutils2-2 (<< 1.46-3ubuntu2)
 Suggests: sg3-utils
 Multi-Arch: same
 Description: utilities for devices using the SCSI command set (shared libraries)
@@ -48,7 +45,7 @@
 Package: libsgutils2-dev
 Section: libdevel
 Architecture: any
-Depends: libsgutils2-1.46-2 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
+Depends: libsgutils2-1.48 (= ${binary:Version}), ${shlibs:Depends}, ${kfreebsd:Depends}, ${misc:Depends}
 Conflicts: libsgutils1-dev
 Suggests: sg3-utils
 Multi-Arch: same
@@ -67,7 +64,7 @@
 
 Package: sg3-utils-udev
 Architecture: all
-Depends: sg3-utils, initramfs-tools-core, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
+Depends: sg3-utils, initramfs-tools | linux-initramfs-tool, ${misc:Depends}
 Description: utilities for devices using the SCSI command set (udev rules)
  Most OSes have SCSI pass-through interfaces that enable user space programs
  to send SCSI commands to a device and fetch the response. With SCSI to ATA

=== debian/watch ===
version=3
http://sg.danny.cz/sg/p/sg3_utils-([\d\.]+)\.tgz
